Bullet Collision Detection & Physics Library: btPrimitiveManagerBase Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | List of all members
btPrimitiveManagerBase Class Referenceabstract

Prototype Base class for primitive classification. More...

`#include <btGImpactBvh.h>`

Inheritance diagram for btPrimitiveManagerBase:
[legend]

## Public Member Functions
virtual | ~btPrimitiveManagerBase ()
virtual bool | is_trimesh () const =0
| determines if this manager consist on only triangles, which special case will be optimized
virtual int | get_primitive_count () const =0
virtual void | get_primitive_box (int prim_index, btAABB &primbox) const =0
virtual void | get_primitive_triangle (int prim_index, btPrimitiveTriangle &triangle) const =0
| retrieves only the points of the triangle, and the collision margin

## Detailed Description

Prototype Base class for primitive classification.

This class is a wrapper for primitive collections. This tells relevant info for the Bounding Box set classes, which take care of space classification. This class can manage Compound shapes and trimeshes, and if it is managing trimesh then the Hierarchy Bounding Box classes will take advantage of primitive Vs Box overlapping tests for getting optimal results and less Per Box compairisons.

Definition at line 149 of file btGImpactBvh.h.

## Constructor & Destructor Documentation

## ◆ ~btPrimitiveManagerBase()

virtual btPrimitiveManagerBase::~btPrimitiveManagerBase | ( |  | ) |
| inlinevirtual

Definition at line 152 of file btGImpactBvh.h.

## Member Function Documentation

## ◆ get_primitive_box()

virtual void btPrimitiveManagerBase::get_primitive_box | ( | int | prim_index,
|  | btAABB & | primbox ) const
| pure virtual

Implemented in btGImpactCompoundShape::CompoundPrimitiveManager, and btGImpactMeshShapePart::TrimeshPrimitiveManager.

## ◆ get_primitive_count()

virtual int btPrimitiveManagerBase::get_primitive_count | ( |  | ) | const
| pure virtual

Implemented in btGImpactCompoundShape::CompoundPrimitiveManager, and btGImpactMeshShapePart::TrimeshPrimitiveManager.

## ◆ get_primitive_triangle()

virtual void btPrimitiveManagerBase::get_primitive_triangle | ( | int | prim_index,
|  | btPrimitiveTriangle & | triangle ) const
| pure virtual

retrieves only the points of the triangle, and the collision margin

Implemented in btGImpactCompoundShape::CompoundPrimitiveManager, and btGImpactMeshShapePart::TrimeshPrimitiveManager.

## ◆ is_trimesh()

virtual bool btPrimitiveManagerBase::is_trimesh | ( |  | ) | const
| pure virtual

determines if this manager consist on only triangles, which special case will be optimized

Implemented in btGImpactCompoundShape::CompoundPrimitiveManager, and btGImpactMeshShapePart::TrimeshPrimitiveManager.

The documentation for this class was generated from the following file:

- btGImpactBvh.h